# $Revision: 1.59 $, $Date: 2011/04/20 03:41:11 $
Summary:	Useful routines for 'C' programming - MinGW32 cross version
Summary(cs.UTF-8):	Šikovná knihovna s funkcemi pro pomocné programy
Summary(da.UTF-8):	Nyttige biblioteksfunktioner
Summary(de.UTF-8):	Eine nützliche Library von Dienstprogramm-Funktionen
Summary(es.UTF-8):	Conjunto de funciones gráficas utilitarias
Summary(fi.UTF-8):	Kirjasto, jossa on työkalufunktioita
Summary(fr.UTF-8):	Bibliothèque de fonctions utilitaires
Summary(ja.UTF-8):	便利なユーティリティ関数のライブラリ
Summary(pl.UTF-8):	Biblioteka zawierająca wiele użytecznych funkcji C - wersja skrośna dla MinGW32
Summary(pt_BR.UTF-8):	Conjunto de funções gráficas utilitárias
Summary(tr.UTF-8):	Yararlı ufak yordamlar kitaplığı
Summary(zh_CN.UTF-8):	实用工具函数库
%define		realname   glib
Name:		crossmingw32-glib2
Version:	2.28.6
Release:	2
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glib/2.28/glib-%{version}.tar.bz2
# Source0-md5:	7d8fc15ae70d5111c0cf2a79d50ef717
Patch0:		%{name}-stacktest.patch
URL:		http://www.gtk.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.10
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-gettext
BuildRequires:	crossmingw32-libiconv
BuildRequires:	crossmingw32-pcre >= 8.11
BuildRequires:	crossmingw32-zlib
# host glib-genmarshall and glib-compile-schemas are needed for cross-compiling
BuildRequires:	glib2 >= 1:2.28.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.16
Requires:	crossmingw32-gettext
Requires:	crossmingw32-pcre >= 8.11
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		host			%{target}
%define		target_platform 	%{target}

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc.
# now at least i486 is required for atomic operations
%define		optflags	-O2 -march=i486
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
GLib, is a library which includes support routines for C such as
lists, trees, hashes, memory allocation, and many other things. GLib
includes also generally useful data structures used by GIMP and many
other.

This package contains the cross version for Win32.

%description -l cs.UTF-8
Šikovná knihovna s funkcemi pro pomocné programy. Vývojové knihovny a
hlavičky jsou v balíčku glib-devel.

%description -l da.UTF-8
Nyttigt bibliotek med forskellige funktioner. Udviklings- biblioteker
og headerfiler er i glib-devel pakken.

%description -l de.UTF-8
Eine nützliche Library von Dienstprogramm-Funktionen.
Entwicklungs-Libraries und Header befinden sich in glib-devel.

%description -l es.UTF-8
Conjunto de funciones utilitarias. Bibliotecas de desarrollo y
archivos de inclusión están en glib-devel.

%description -l fi.UTF-8
Kirjasto, jossa on työkalufunktioita. Kehitysversiot ja
header-tiedostot ovat glib-devel-paketissa.

%description -l ja.UTF-8
GLibはユーティリティ関数を集めた便利なライブラリです。このＣ言語用ライブラリは、
いくつかの問題を解決するよう設計されており、多くのプログラムから要求される使いやすい
関数を提供します。

GLibはGDK,
GTK+他多くのアプリケーションで利用される。このライブラリに依存するアプリケーション
等のためにこのglibパッケージをインストールしてください。

%description -l pl.UTF-8
GLib jest zestawem bibliotek zawierających funkcje do obsługi list i
drzew, funkcje mieszające, funkcje do alokacji pamięci i dużo innych
podstawowych funkcji i różnych struktur danych używanych przez program
GIMP i wiele innych.

Ten pakiet zawiera wersję skrośną dla Win32.

%description -l pt_BR.UTF-8
Conjunto de funções utilitárias. Bibliotecas de desenvolvimento e
arquivos de inclusão estão em glib-devel.

%description -l tr.UTF-8
Yararlı yordamlar kitaplığı. Geliştirme kitaplıkları ve başlık
dosyaları glib-devel paketinde yer almaktadır.

%package dll
Summary:	DLL glib2 libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL glib2 dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-gettext-dll
Requires:	crossmingw32-pcre-dll >= 8.11
Requires:	wine

%description dll
DLL glib2 libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL glib2 dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-silent-rules \
	--enable-shared \
	--with-pcre=system

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_libdir}/charset.alias
# use system glib2-devel instead
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,glib-2.0,gtk-doc,man} \
	$RPM_BUILD_ROOT/etc/bash_completion.d
# runtime
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libgio-2.0.dll.a
%{_libdir}/libglib-2.0.dll.a
%{_libdir}/libgmodule-2.0.dll.a
%{_libdir}/libgobject-2.0.dll.a
%{_libdir}/libgthread-2.0.dll.a
%{_libdir}/libgio-2.0.la
%{_libdir}/libglib-2.0.la
%{_libdir}/libgmodule-2.0.la
%{_libdir}/libgobject-2.0.la
%{_libdir}/libgthread-2.0.la
%{_libdir}/gio-2.0.def
%{_libdir}/glib-2.0.def
%{_libdir}/gmodule-2.0.def
%{_libdir}/gobject-2.0.def
%{_libdir}/gthread-2.0.def
%{_includedir}/gio-win32-2.0
%{_includedir}/glib-2.0
%dir %{_libdir}/glib-2.0
%dir %{_libdir}/glib-2.0/include
%{_libdir}/glib-2.0/include/glibconfig.h
%{_pkgconfigdir}/gio-2.0.pc
%{_pkgconfigdir}/gio-windows-2.0.pc
%{_pkgconfigdir}/glib-2.0.pc
%{_pkgconfigdir}/gmodule-2.0.pc
%{_pkgconfigdir}/gmodule-export-2.0.pc
%{_pkgconfigdir}/gmodule-no-export-2.0.pc
%{_pkgconfigdir}/gobject-2.0.pc
%{_pkgconfigdir}/gthread-2.0.pc

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgio-2.0-*.dll
%{_dlldir}/libglib-2.0-*.dll
%{_dlldir}/libgmodule-2.0-*.dll
%{_dlldir}/libgobject-2.0-*.dll
%{_dlldir}/libgthread-2.0-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-glib2.spec,v $
Revision 1.59  2011/04/20 03:41:11  qboosh
- plain i386 is no longer supported
- release 2

Revision 1.58  2011/04/17 17:49:52  qboosh
- updated to 2.28.6

Revision 1.57  2011/04/02 09:49:06  qboosh
- updated to 2.28.5

Revision 1.56  2011/03/22 17:20:29  qboosh
- updated to 2.28.4

Revision 1.55  2011/03/14 20:14:31  qboosh
- updated to 2.28.3

Revision 1.54  2011/03/10 19:10:32  qboosh
- updated to 2.28.2

Revision 1.53  2011/02/19 17:10:32  qboosh
- updated to 2.28.1

Revision 1.52  2011/02/09 19:16:14  qboosh
- updated to 2.28.0

Revision 1.51  2010/11/14 19:09:16  qboosh
- updated to 2.26.1

Revision 1.50  2010/10/04 06:41:01  qboosh
- Source0 URL fix

Revision 1.49  2010/10/03 18:10:51  qboosh
- updated to 2.26.0

Revision 1.48  2010/08/09 20:15:50  qboosh
- updated to 2.24.2

Revision 1.47  2010/06/17 20:47:21  qboosh
- fixed MinGW32 name

Revision 1.46  2010/05/08 05:48:03  qboosh
- updated to 2.24.1

Revision 1.45  2010/03/28 17:26:47  qboosh
- updated to 2.24.0

Revision 1.44  2010/03/18 20:54:46  qboosh
- updated to 2.22.5
- w32api-dx not needed (base/dx split is fixed now, libdnsapi belongs to base)

Revision 1.43  2010/01/22 01:20:32  lkrotowski
- up to 2.22.4

Revision 1.42  2009/04/10 20:22:47  qboosh
- updated to 2.20.1

Revision 1.41  2009/03/23 21:27:37  qboosh
- fixed Source0 URL

Revision 1.40  2009/03/23 21:10:21  qboosh
- updated to 2.20.0

Revision 1.39  2009/01/10 22:36:00  qboosh
- updated to 2.18.4

Revision 1.38  2008/11/26 16:54:08  qboosh
- updated to 2.18.3

Revision 1.37  2008/10/18 05:14:16  qboosh
- updated to 2.18.2

Revision 1.36  2008/09/18 22:06:45  qboosh
- updated to 2.18.1

Revision 1.35  2008/09/08 22:52:22  qboosh
- updated to 2.18.0

Revision 1.34  2008/07/21 18:43:09  qboosh
- updated to 2.16.5

Revision 1.33  2008/07/09 20:53:06  qboosh
- updated to 2.16.4

Revision 1.32  2008/04/11 22:04:44  qboosh
- updated to 2.16.3

Revision 1.31  2008-03-11 22:04:02  qboosh
- updated to 2.16.1

Revision 1.30  2008-02-07 23:04:40  qboosh
- updated to 2.14.6

Revision 1.29  2008-01-08 22:34:57  qboosh
- updated to 2.14.5
- force %{_lib}-independent libdir

Revision 1.28  2007-11-25 11:53:53  qboosh
- updated to 2.14.4

Revision 1.27  2007-11-07 19:04:13  qboosh
- updated to 2.14.3

Revision 1.26  2007/10/20 20:43:30  wolf
- 2.14.2

Revision 1.25  2007/09/17 06:11:00  qboosh
- updated to 2.14.1
- removed obsolete symbols patch
- use system (crossmingw32-)pcre

Revision 1.24  2007/08/28 17:15:10  qboosh
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

Revision 1.23  2007/08/21 17:56:42  qboosh
- updated md5

Revision 1.22  2007/08/21 17:52:39  qboosh
- updated to 2.14.0
- added symbols patch

Revision 1.21  2007/07/30 19:06:19  qboosh
- updated to 2.12.13

Revision 1.20  2007/05/02 11:25:39  qboosh
- updated to 2.12.12

Revision 1.19  2007/03/06 13:47:50  qboosh
- strip

Revision 1.18  2007/03/06 13:46:11  qboosh
- no private gcc dirs used here

Revision 1.17  2007/03/06 13:43:32  qboosh
- ac version

Revision 1.16  2007/03/06 13:40:22  qboosh
- cleanup, separated -dll

Revision 1.15  2007/03/05 11:57:41  qboosh
- no *.m4 here

Revision 1.14  2007/03/05 11:50:30  qboosh
- BR: cross gcc

Revision 1.13  2007/02/25 15:01:53  czarny
- proper build procedure (shared)
- need to develop static + shared version

Revision 1.12  2007/02/20 20:04:54  czarny
- according to other specs

Revision 1.11  2007/02/20 17:59:05  czarny
- building glib2 instead of downloading, as later on pkgconfig won't pass proper cflags and includedirs

Revision 1.10  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.8  2007/01/30 20:49:08  czarny
- up to 2.12.9

Revision 1.7  2007/01/30 20:44:32  czarny
- up to 2.12.7
- download source changed

Revision 1.6  2004/12/16 02:23:03  zbyniu
- BR: unzip

Revision 1.5  2004/11/20 16:12:05  qboosh
- fixed Name, up to (existing) 2.4.7, files cleanup

Revision 1.4  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.3  2003/12/19 18:16:07  undefine
- don't include %{arch} directory in spec, don't include man's

Revision 1.2  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.1  2003/08/27 16:15:21  ggodlewski
- 1st rel

Revision 1.4  2003/08/27 14:35:02  ggodlewski
- corrected rel. and epoch

Revision 1.3  2003/08/25 20:37:44  ggodlewski
- removed wrong obsoletes

Revision 1.2  2003/08/25 19:02:51  ankry
- full translation

Revision 1.1  2003/08/25 16:19:27  ggodlewski
- Initial release
